#include "Salamander.h"
#include "FileIO.h"

namespace Salamander
{

FileIO::FileIO()
{
	
}

FileIO::~FileIO()
{

}

FileIO& FileIO::fileio()
{
    static FileIO fileio_;
	return fileio_;
}

void FileIO::error(std::string error, std::string function)
{
	std::cout << "Error - " << error << " - " << function << std::endl;
}

void FileIO::warning(std::string warning, std::string function)
{
	std::cout << "Warning - " << warning << " - " << function << std::endl;
}

void FileIO::log(std::string log, std::string function)
{
	std::cout << "Note - " << log << " - " << function << std::endl;
}

}
